Bug 1119158 - Review Request: perl-URL-Encode - Encoding and decoding of application/x-www-form-urlencoded encoding [NEEDINFO]
Summary: Review Request: perl-URL-Encode - Encoding and decoding of application/x-www-...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1181321
Blocks: FE-DEADREVIEW 1119118
TreeView+ depends on / blocked
 
Reported: 2014-07-14 07:33 UTC by Christopher Meng
Modified: 2015-07-02 15:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-02 15:40:36 UTC
psabata: fedora-review?
psabata: needinfo? (i)


Attachments (Terms of Use)

Description Christopher Meng 2014-07-14 07:33:58 UTC
Spec URL: http://us-la.cicku.me/perl-URL-Encode.spec
SRPM URL: http://us-la.cicku.me/perl-URL-Encode-0.03-1.fc22.src.rpm
Description: This module provides functions to encode and decode strings into and from the application/x-www-form-urlencoded encoding.
Fedora Account System Username: cicku

Comment 1 Petr Šabata 2014-07-22 08:52:47 UTC
TODO: Raise the minimum EE::MM version requirement to 6.76

TODO: Remove the extra Carp runtime dependency.  This is always autodetected.

FIX: Missing a builddep for t/* - utf8

FIX: Missing lots of builddeps for the bundled Module::Install -- base, Config, Cwd, ExtUtils::MM_Unix, Fcntl, File::Find, File::Path, Pod::Text, vars

Comment 2 Christopher Meng 2014-08-08 08:26:19 UTC
(In reply to Petr Šabata from comment #1)
> FIX: Missing lots of builddeps for the bundled Module::Install -- base,
> Config, Cwd, ExtUtils::MM_Unix, Fcntl, File::Find, File::Path, Pod::Text,
> vars

Question, will this be absorbed by guideline? IMO these are not important or should the building environment auto detect these? Since Module::Install is often bundled.

Comment 3 Petr Šabata 2014-08-13 07:56:50 UTC
(In reply to Christopher Meng from comment #2)
> (In reply to Petr Šabata from comment #1)
> > FIX: Missing lots of builddeps for the bundled Module::Install -- base,
> > Config, Cwd, ExtUtils::MM_Unix, Fcntl, File::Find, File::Path, Pod::Text,
> > vars
> 
> Question, will this be absorbed by guideline? IMO these are not important or
> should the building environment auto detect these? Since Module::Install is
> often bundled.

The reason for listing those is exactly the same as listing any other.  The module is used at build time and it has these dependencies.  Bundled modules (if used for build only) are no special case.

If you don't feel like going through the inc/ directory, one way to deal with this is removing it, dropping it from MANIFEST and BR'ing inc::Module::Install.  However, given this may change how your package gets built, you may want to stick with just checking inc for dependencies, too.  It's not that much work, really.

Comment 4 Petr Šabata 2015-05-14 08:52:42 UTC
Ping.  Any updates, Christopher?

Comment 5 Petr Šabata 2015-06-22 10:39:39 UTC
Another ping.  Are you still interested in packaging this?

Comment 6 Petr Šabata 2015-07-02 15:40:36 UTC
Dead review.  Closing.


Note You need to log in before you can comment on or make changes to this bug.